<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['welcome'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
      <h1>{{ str['2fa-title'] }}</h1>

        % if data['secureAuth'] == True:
        <div class="info">{{ str['2fa-info-1'] }}</div>
            <div class="qr-code">
                <img src="{{'static/tmp/'+data['authCode']+'.png'}}" /> 
            </div>
            <form name="disable2faForm" method="post" action="/disable_2fa">
                    
                <label for="code">{{ str['code'] }}</label>
                <input id="" name="code" type="text" value="{{data['authCode']}}" readonly>

                <div class="form-buttons">
                    <a href="/user"><button class="green" type="button">{{ str['back'] }}</button></a>
                    <button class="green" type="submit">{{ str['disable'] }}</button>
                </div>

            </form>
            
        % else:
        <div class="info">{{ str['2fa-info-2'] }}</div>
            <form name="enable2faForm" method="post" action="/enable_2fa">

                <!--<input id="token" name="token" type="text" value="{{data['authCode']}}" readonly>-->

                <div class="form-buttons">
                    <a href="/user"><button class="green" type="button">{{ str['back'] }}</button></a>
                    <button class="green" type="submit">{{ str['enable'] }}</button>
                </div>

            </form>

        %end

      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end

    </main>

  </body>
</html>
