<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['del-account'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
      <h1>{{ str['del-account'] }}</h1>

      <form name="deleteForm" method="post" action="/delete">

        <label for="username">{{ str['usrn'] }}</label>
        <input id="username" name="username" type="text" >

        <div class="form-buttons">
          <a href="/user"><button class="green" type="button">{{ str['back'] }}</button></a>
          <button class="red" type="submit">{{ str['del'] }}</button>
        </div>

      </form>

      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end
      
    </main>
  </body>
</html>
