<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['edit-email'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
      <h1>{{ str['edit-email'] }}</h1>

      <form name="editEmailForm" method="post" action="/edit_email">

        <label for="email">{{ str['email'] }}</label>
        <input id="email" name="email" type="text" value="{{ data['mail'] }}" required>

        <div class="form-buttons">
          <a href="/user"><button class="green" type="button">{{ str['back'] }}</button></a>
          <button class="green" type="submit">{{ str['update'] }}</button>
        </div>

      </form>

      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end
      
    </main>
  </body>
</html>
