<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['logs'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
        <h1>{{ str['logs'] }}</h1>

        <div class="logs">
            <div class="last-login">
                <h5>{{ str['last-login'] }}</h5>
                <div class="last-login-info">
                    <p>{{ data['ip'] }}</p>
                    <p class="date">{{ data['lastLogin'] }}</p>
                </div>
            </div>
            <div class="device-list">
                <h5>{{ str['devices'] }}</h5>
                %for device in data['devices']:
                <li>{{ device }}</li>
                %end
            </div>
            <div class="form-buttons">
                <a href="/user"><button class="green" type="button">{{ str['back'] }}</button></a>
            </div>

        </div>

      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end
      
    </main>
  </body>
</html>
