############################## 
## Erabilera:               ##
## sudo chmod +x start.sh   ##
## ./start.sh $UID          ##
##############################
#!/bin/bash
if [ ! -f settings.ini ]; then
    cp settings.ini.example settings.ini
fi

if [[ $# -gt 0 ]]; then
    UID_=$1
    echo $UID_
    export LDAP_ADMIN_PASSWORD=admin
    export LDAP_READONLY_PASSWORD=readonly
fi

uwsgi --http :9090 --enable-threads --uid $UID_ --wsgi-file app.py
